Jump to content

Hello guys, im having problem with Mod ID: 'minecraft', Requested by: 'supermartijn642corelib', Expected range: '[1.19,1.19.3)'


Ferz1

Recommended Posts

The situation is: i made a new server Forge 1.19.2 with mods for that version. If i launch my single-player Minecraft, all is working and OK but when i start server i have these problems

container@pterodactyl~ Server marked as starting...
[Pterodactyl Daemon]: Pulling Docker container image, this could take a few minutes to complete...
[Pterodactyl Daemon]: Finished pulling Docker container image
container@pterodactyl~ java -version
openjdk version "19.0.2" 2023-01-17
OpenJDK Runtime Environment Temurin-19.0.2+7 (build 19.0.2+7)
OpenJDK 64-Bit Server VM Temurin-19.0.2+7 (build 19.0.2+7, mixed mode, sharing)
container@pterodactyl~ java -Xms128M -Xmx12800M -Dterminal.jline=false -Dterminal.ansi=true @unix_args.txt
[22:06:49] [main/INFO] [cp.mo.mo.Launcher/MODLAUNCHER]: ModLauncher running: args [--launchTarget, forgeserver, --fml.forgeVersion, 45.1.0, --fml.mcVersion, 1.19.4, --fml.forgeGroup, net.minecraftforge, --fml.mcpVersion, 20230314.122934]
[22:06:49] [main/INFO] [cp.mo.mo.Launcher/MODLAUNCHER]: ModLauncher 10.0.8+10.0.8+main.0ef7e830 starting: java version 19.0.2 by Eclipse Adoptium; OS Linux arch amd64 version 5.15.0-71-generic
[22:06:50] [main/INFO] [mixin/]: SpongePowered MIXIN Subsystem Version=0.8.5 Source=union:/home/container/libraries/org/spongepowered/mixin/0.8.5/mixin-0.8.5.jar%2363!/ Service=ModLauncher Env=SERVER
[22:06:50] [main/WARN] [ne.mi.fm.lo.mo.ModFileParser/LOADING]: Mod file /home/container/libraries/net/minecraftforge/fmlcore/1.19.4-45.1.0/fmlcore-1.19.4-45.1.0.jar is missing mods.toml file
[22:06:50] [main/WARN] [ne.mi.fm.lo.mo.ModFileParser/LOADING]: Mod file /home/container/libraries/net/minecraftforge/javafmllanguage/1.19.4-45.1.0/javafmllanguage-1.19.4-45.1.0.jar is missing mods.toml file
[22:06:50] [main/WARN] [ne.mi.fm.lo.mo.ModFileParser/LOADING]: Mod file /home/container/libraries/net/minecraftforge/lowcodelanguage/1.19.4-45.1.0/lowcodelanguage-1.19.4-45.1.0.jar is missing mods.toml file
[22:06:50] [main/WARN] [ne.mi.fm.lo.mo.ModFileParser/LOADING]: Mod file /home/container/libraries/net/minecraftforge/mclanguage/1.19.4-45.1.0/mclanguage-1.19.4-45.1.0.jar is missing mods.toml file
[22:06:50] [main/WARN] [ne.mi.ja.se.JarSelector/]: Attempted to select a dependency jar for JarJar which was passed in as source: flywheel. Using Mod File: /home/container/mods/flywheel-forge-1.19.2-0.6.8.a.jar
[22:06:50] [main/INFO] [ne.mi.fm.lo.mo.JarInJarDependencyLocator/]: Found 13 dependencies adding them to mods collection
[22:06:50] [main/ERROR] [ne.mi.fm.lo.LanguageLoadingProvider/LOADING]: Missing language javafml version [41,44) wanted by CNB-1.19-1.5.2.jar, found 45
[22:06:50] [main/ERROR] [ne.mi.fm.lo.LanguageLoadingProvider/LOADING]: Missing language javafml version [41,44) wanted by ironchest-1.19.2-14.2.7.jar, found 45
[22:06:50] [main/ERROR] [ne.mi.fm.lo.ModSorter/LOADING]: Missing or unsupported mandatory dependencies:
        Mod ID: 'minecraft', Requested by: 'supermartijn642corelib', Expected range: '[1.19,1.19.3)', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'queen_bee', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'puzzleslib', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'create_confectionery', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'fallingtree', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'stalwart_dungeons', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'connectedglass', Expected range: '[1.19,1.19.3)', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'unusualend', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'wandering_bags', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'pickupnotifier', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'collective', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'shark_mod', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'quartz', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'corpse', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'kotlinforforge', Expected range: '[1.18,1.19.3)', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'iceberg', Expected range: '[1.19,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'phosphophyllite', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'blueprint', Expected range: '[1.19.2,1.19.3)', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'pyromancer', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'biggerreactors', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'legendarytooltips', Expected range: '[1.19,1.19.2]', Actual version: '1.19.4'
[22:06:52] [main/ERROR] [mixin/]: Mixin config dynamiclightsreforged.mixins.json does not specify "minVersion" property
[22:06:52] [main/INFO] [mixin/]: Compatibility level set to JAVA_17
[22:06:52] [main/ERROR] [mixin/]: Mixin config mixins.satin.client.json does not specify "minVersion" property
[22:06:52] [main/ERROR] [mixin/]: Mixin config rei-jei-internals-workaround.mixins.json does not specify "minVersion" property
[22:06:52] [main/ERROR] [mixin/]: Mixin config roughlyenoughresources.mixins.json does not specify "minVersion" property
[22:06:52] [main/ERROR] [mixin/]: Mixin config mixins.oculus.compat.sodium.json does not specify "minVersion" property
[22:06:52] [main/ERROR] [mixin/]: Mixin config rei.mixins.json does not specify "minVersion" property
[22:06:52] [main/ERROR] [mixin/]: Mixin config rottencreatures-common.mixins.json does not specify "minVersion" property
[22:06:52] [main/ERROR] [mixin/]: Mixin config rottencreatures.mixins.json does not specify "minVersion" property
[22:06:52] [main/INFO] [mixin/]: Successfully loaded Mixin Connector [ca.spottedleaf.starlight.mixin.MixinConnector]
[22:06:52] [main/INFO] [cp.mo.mo.LaunchServiceHandler/MODLAUNCHER]: Launching target 'forgeserver' with arguments []
[22:06:52] [main/WARN] [mixin/]: Reference map 'naturalist-forge-forge-refmap.json' for naturalist.mixins.json could not be read. If this is a development environment you can ignore this message
[22:06:52] [main/INFO] [Rubidium/]: Loaded configuration file for Rubidium: 30 options available, 0 override(s) found
[22:06:52] [main/WARN] [mixin/]: Reference map 'dummmmmmy-forge-refmap.json' for dummmmmmy.mixins.json could not be read. If this is a development environment you can ignore this message
[22:06:52] [main/WARN] [mixin/]: Reference map 'rottencreatures-forge-refmap.json' for rottencreatures.mixins.json could not be read. If this is a development environment you can ignore this message
[22:06:52] [main/WARN] [CanaryConfig/]: Option 'mixin.world.block_entity_ticking.world_border' requires 'mixin.util.world_border_listener=true' but found 'false'. Setting 'mixin.world.block_entity_ticking.world_border=false'.
[22:06:52] [main/INFO] [Canary/]: Loaded configuration file for Canary: 112 options available, 0 override(s) found
[22:06:53] [main/ERROR] [ne.mi.fm.lo.RuntimeDistCleaner/DISTXFORM]: Attempted to load class net/minecraft/client/renderer/PostChain for invalid dist DEDICATED_SERVER
[22:06:53] [main/WARN] [mixin/]: Error loading class: net/minecraft/client/renderer/PostChain (java.lang.RuntimeException: Attempted to load class net/minecraft/client/renderer/PostChain for invalid dist DEDICATED_SERVER)
[22:06:53] [main/WARN] [mixin/]: @Mixin target net.minecraft.client.renderer.PostChain was not found mixins.satin.client.json:AccessiblePassesShaderEffect
[22:06:53] [main/ERROR] [ne.mi.fm.lo.RuntimeDistCleaner/DISTXFORM]: Attempted to load class net/minecraft/client/renderer/RenderType for invalid dist DEDICATED_SERVER
[22:06:53] [main/WARN] [mixin/]: Error loading class: net/minecraft/client/renderer/RenderType (java.lang.RuntimeException: Attempted to load class net/minecraft/client/renderer/RenderType for invalid dist DEDICATED_SERVER)
[22:06:53] [main/WARN] [mixin/]: @Mixin target net.minecraft.client.renderer.RenderType was not found mixins.satin.client.json:blockrenderlayer.RenderLayerMixin
[22:06:53] [main/ERROR] [ne.mi.fm.lo.RuntimeDistCleaner/DISTXFORM]: Attempted to load class net/minecraft/client/renderer/LevelRenderer for invalid dist DEDICATED_SERVER
[22:06:53] [main/WARN] [mixin/]: Error loading class: net/minecraft/client/renderer/LevelRenderer (java.lang.RuntimeException: Attempted to load class net/minecraft/client/renderer/LevelRenderer for invalid dist DEDICATED_SERVER)
[22:06:53] [main/WARN] [mixin/]: @Mixin target net.minecraft.client.renderer.LevelRenderer was not found mixins.satin.client.json:blockrenderlayer.WorldRendererMixin
[22:06:53] [main/ERROR] [ne.mi.fm.lo.RuntimeDistCleaner/DISTXFORM]: Attempted to load class net/minecraft/client/renderer/GameRenderer for invalid dist DEDICATED_SERVER
[22:06:53] [main/WARN] [mixin/]: Error loading class: net/minecraft/client/renderer/GameRenderer (java.lang.RuntimeException: Attempted to load class net/minecraft/client/renderer/GameRenderer for invalid dist DEDICATED_SERVER)
[22:06:53] [main/WARN] [mixin/]: @Mixin target net.minecraft.client.renderer.GameRenderer was not found mixins.satin.client.json:event.GameRendererMixin
[22:06:53] [main/ERROR] [ne.mi.fm.lo.RuntimeDistCleaner/DISTXFORM]: Attempted to load class net/minecraft/client/Minecraft for invalid dist DEDICATED_SERVER
[22:06:53] [main/WARN] [mixin/]: Error loading class: net/minecraft/client/Minecraft (java.lang.RuntimeException: Attempted to load class net/minecraft/client/Minecraft for invalid dist DEDICATED_SERVER)
[22:06:53] [main/WARN] [mixin/]: @Mixin target net.minecraft.client.Minecraft was not found mixins.satin.client.json:event.MinecraftClientMixin
[22:06:53] [main/ERROR] [ne.mi.fm.lo.RuntimeDistCleaner/DISTXFORM]: Attempted to load class net/minecraft/client/renderer/LevelRenderer for invalid dist DEDICATED_SERVER
[22:06:53] [main/WARN] [mixin/]: Error loading class: net/minecraft/client/renderer/LevelRenderer (java.lang.RuntimeException: Attempted to load class net/minecraft/client/renderer/LevelRenderer for invalid dist DEDICATED_SERVER)
[22:06:53] [main/WARN] [mixin/]: @Mixin target net.minecraft.client.renderer.LevelRenderer was not found mixins.satin.client.json:event.WorldRendererMixin
[22:06:53] [main/ERROR] [ne.mi.fm.lo.RuntimeDistCleaner/DISTXFORM]: Attempted to load class net/minecraft/client/renderer/ShaderInstance for invalid dist DEDICATED_SERVER
[22:06:53] [main/WARN] [mixin/]: Error loading class: net/minecraft/client/renderer/ShaderInstance (java.lang.RuntimeException: Attempted to load class net/minecraft/client/renderer/ShaderInstance for invalid dist DEDICATED_SERVER)
[22:06:53] [main/WARN] [mixin/]: @Mixin target net.minecraft.client.renderer.ShaderInstance was not found mixins.satin.client.json:gl.CoreShaderMixin
[22:06:53] [main/ERROR] [ne.mi.fm.lo.RuntimeDistCleaner/DISTXFORM]: Attempted to load class com/mojang/blaze3d/pipeline/RenderTarget for invalid dist DEDICATED_SERVER
[22:06:53] [main/WARN] [mixin/]: Error loading class: com/mojang/blaze3d/pipeline/RenderTarget (java.lang.RuntimeException: Attempted to load class com/mojang/blaze3d/pipeline/RenderTarget for invalid dist DEDICATED_SERVER)
[22:06:53] [main/WARN] [mixin/]: @Mixin target com.mojang.blaze3d.pipeline.RenderTarget was not found mixins.satin.client.json:gl.DepthGlFramebufferMixin
[22:06:53] [main/WARN] [mixin/]: Error loading class: com/mojang/blaze3d/shaders/Uniform (java.lang.ClassNotFoundException: com.mojang.blaze3d.shaders.Uniform)
[22:06:53] [main/WARN] [mixin/]: @Mixin target com.mojang.blaze3d.shaders.Uniform was not found mixins.satin.client.json:gl.GlUniformMixin
[22:06:53] [main/ERROR] [ne.mi.fm.lo.RuntimeDistCleaner/DISTXFORM]: Attempted to load class net/minecraft/client/renderer/EffectInstance for invalid dist DEDICATED_SERVER
[22:06:53] [main/WARN] [mixin/]: Error loading class: net/minecraft/client/renderer/EffectInstance (java.lang.RuntimeException: Attempted to load class net/minecraft/client/renderer/EffectInstance for invalid dist DEDICATED_SERVER)
[22:06:53] [main/WARN] [mixin/]: @Mixin target net.minecraft.client.renderer.EffectInstance was not found mixins.satin.client.json:gl.JsonEffectGlShaderMixin
[22:06:53] [main/ERROR] [ne.mi.fm.lo.RuntimeDistCleaner/DISTXFORM]: Attempted to load class net/minecraft/client/renderer/RenderType for invalid dist DEDICATED_SERVER
[22:06:53] [main/WARN] [mixin/]: Error loading class: net/minecraft/client/renderer/RenderType (java.lang.RuntimeException: Attempted to load class net/minecraft/client/renderer/RenderType for invalid dist DEDICATED_SERVER)
[22:06:53] [main/WARN] [mixin/]: @Mixin target net.minecraft.client.renderer.RenderType was not found mixins.satin.client.json:render.RenderLayerAccessor
[22:06:53] [main/ERROR] [ne.mi.fm.lo.RuntimeDistCleaner/DISTXFORM]: Attempted to load class net/minecraft/client/renderer/RenderType for invalid dist DEDICATED_SERVER
[22:06:53] [main/WARN] [mixin/]: Error loading class: net/minecraft/client/renderer/RenderType (java.lang.RuntimeException: Attempted to load class net/minecraft/client/renderer/RenderType for invalid dist DEDICATED_SERVER)
[22:06:53] [main/WARN] [mixin/]: @Mixin target net.minecraft.client.renderer.RenderType was not found mixins.satin.client.json:render.RenderLayerMixin
[22:06:53] [main/ERROR] [ne.mi.fm.lo.RuntimeDistCleaner/DISTXFORM]: Attempted to load class net/minecraft/client/renderer/RenderType$CompositeState for invalid dist DEDICATED_SERVER
[22:06:53] [main/WARN] [mixin/]: Error loading class: net/minecraft/client/renderer/RenderType$CompositeState (java.lang.RuntimeException: Attempted to load class net/minecraft/client/renderer/RenderType$CompositeState for invalid dist DEDICATED_SERVER)
[22:06:53] [main/WARN] [mixin/]: @Mixin target net.minecraft.client.renderer.RenderType$CompositeState was not found mixins.satin.client.json:render.RenderLayerMixin$MultiPhaseParametersAccessor
[22:06:53] [main/ERROR] [ne.mi.fm.lo.RuntimeDistCleaner/DISTXFORM]: Attempted to load class net/minecraft/client/renderer/RenderType$CompositeRenderType for invalid dist DEDICATED_SERVER
[22:06:53] [main/WARN] [mixin/]: Error loading class: net/minecraft/client/renderer/RenderType$CompositeRenderType (java.lang.RuntimeException: Attempted to load class net/minecraft/client/renderer/RenderType$CompositeRenderType for invalid dist DEDICATED_SERVER)
[22:06:53] [main/WARN] [mixin/]: @Mixin target net.minecraft.client.renderer.RenderType$CompositeRenderType was not found mixins.satin.client.json:render.RenderLayerMultiPhaseMixin
[22:06:53] [main/WARN] [mixin/]: Error loading class: net/minecraft/client/renderer/RenderStateShard (java.lang.ClassNotFoundException: net.minecraft.client.renderer.RenderStateShard)
[22:06:53] [main/WARN] [mixin/]: @Mixin target net.minecraft.client.renderer.RenderStateShard was not found mixins.satin.client.json:render.RenderPhaseAccessor
[22:06:53] [main/WARN] [mixin/]: Error loading class: net/minecraft/world/level/biome/MultiNoiseBiomeSource$Preset (java.lang.ClassNotFoundException: net.minecraft.world.level.biome.MultiNoiseBiomeSource$Preset)
[22:06:53] [main/WARN] [mixin/]: @Mixin target net.minecraft.world.level.biome.MultiNoiseBiomeSource$Preset was not found infernal-expansion.mixins.json:common.MixinMultiNoiseBiomeSourcePreset
[22:06:53] [main/WARN] [mixin/]: Error loading class: net/minecraft/data/BuiltinRegistries (java.lang.ClassNotFoundException: net.minecraft.data.BuiltinRegistries)
[22:06:53] [main/WARN] [mixin/]: @Mixin target net.minecraft.data.BuiltinRegistries was not found repurposed_structures.mixins.json:resources.BuiltInRegistriesMixin
[22:06:53] [main/ERROR] [ne.mi.fm.lo.RuntimeDistCleaner/DISTXFORM]: Attempted to load class net/minecraft/client/resources/model/ModelBakery for invalid dist DEDICATED_SERVER
[22:06:53] [main/WARN] [mixin/]: Error loading class: net/minecraft/client/resources/model/ModelBakery (java.lang.RuntimeException: Attempted to load class net/minecraft/client/resources/model/ModelBakery for invalid dist DEDICATED_SERVER)
[22:06:53] [main/WARN] [mixin/]: @Mixin target net.minecraft.client.resources.model.ModelBakery was not found lightspeed.mixins.json:model.ModelBakeryMixin
[22:06:53] [main/WARN] [mixin/]: Error loading class: net/minecraft/server/packs/FolderPackResources (java.lang.ClassNotFoundException: net.minecraft.server.packs.FolderPackResources)
[22:06:53] [main/WARN] [mixin/]: @Mixin target net.minecraft.server.packs.FolderPackResources was not found lightspeed.mixins.json:resources.FolderPackResourcesMixin
[22:06:53] [main/WARN] [mixin/]: Error loading class: net/minecraft/data/BuiltinRegistries (java.lang.ClassNotFoundException: net.minecraft.data.BuiltinRegistries)
[22:06:53] [main/WARN] [mixin/]: @Mixin target net.minecraft.data.BuiltinRegistries was not found integrated_api.mixins.json:resources.BuiltInRegistriesMixin
[22:06:54] [main/WARN] [mixin/]: Error loading class: net/minecraft/data/loot/BlockLoot (java.lang.ClassNotFoundException: net.minecraft.data.loot.BlockLoot)
[22:06:54] [main/WARN] [mixin/]: @Mixin target net.minecraft.data.loot.BlockLoot was not found moonlight-common.mixins.json:accessor.BlockLootAccessor
[22:06:54] [main/WARN] [mixin/]: Error loading class: net/minecraft/world/item/crafting/UpgradeRecipe (java.lang.ClassNotFoundException: net.minecraft.world.item.crafting.UpgradeRecipe)
[22:06:54] [main/WARN] [mixin/]: @Mixin target net.minecraft.world.item.crafting.UpgradeRecipe was not found polymorph.mixins.json:AccessorUpgradeRecipe
[22:06:54] [main/WARN] [mixin/]: Error loading class: net/minecraft/commands/arguments/ResourceOrTagLocationArgument$Result (java.lang.ClassNotFoundException: net.minecraft.commands.arguments.ResourceOrTagLocationArgument$Result)
[22:06:54] [main/WARN] [mixin/]: Error loading class: net/minecraft/commands/arguments/ResourceOrTagLocationArgument$Result (java.lang.ClassNotFoundException: net.minecraft.commands.arguments.ResourceOrTagLocationArgument$Result)
[22:06:54] [main/WARN] [mixin/]: Error loading class: net/minecraft/commands/arguments/ResourceOrTagLocationArgument$Result (java.lang.ClassNotFoundException: net.minecraft.commands.arguments.ResourceOrTagLocationArgument$Result)
[22:06:54] [main/WARN] [mixin/]: Error loading class: net/minecraft/server/packs/resources/Resource$IoSupplier (java.lang.ClassNotFoundException: net.minecraft.server.packs.resources.Resource$IoSupplier)
[22:06:54] [main/WARN] [mixin/]: Error loading class: net/minecraft/commands/arguments/ResourceOrTagLocationArgument$Result (java.lang.ClassNotFoundException: net.minecraft.commands.arguments.ResourceOrTagLocationArgument$Result)
[22:06:54] [main/WARN] [mixin/]: Error loading class: net/minecraft/server/packs/resources/Resource$IoSupplier (java.lang.ClassNotFoundException: net.minecraft.server.packs.resources.Resource$IoSupplier)
[22:06:54] [main/WARN] [mixin/]: Error loading class: net/minecraft/commands/arguments/ResourceOrTagLocationArgument$Result (java.lang.ClassNotFoundException: net.minecraft.commands.arguments.ResourceOrTagLocationArgument$Result)
[22:06:54] [main/WARN] [mixin/]: Error loading class: net/minecraft/commands/arguments/ResourceOrTagLocationArgument$Result (java.lang.ClassNotFoundException: net.minecraft.commands.arguments.ResourceOrTagLocationArgument$Result)
[22:06:54] [main/WARN] [mixin/]: Error loading class: net/minecraft/commands/arguments/ResourceOrTagLocationArgument$Result (java.lang.ClassNotFoundException: net.minecraft.commands.arguments.ResourceOrTagLocationArgument$Result)
Exception in thread "main" java.lang.RuntimeException: java.lang.reflect.InvocationTargetException
        at MC-BOOTSTRAP/[email protected]/cpw.mods.modlauncher.LaunchServiceHandlerDecorator.launch(LaunchServiceHandlerDecorator.java:32)
        at MC-BOOTSTRAP/[email protected]/cpw.mods.modlauncher.LaunchServiceHandler.launch(LaunchServiceHandler.java:53)
        at MC-BOOTSTRAP/[email protected]/cpw.mods.modlauncher.LaunchServiceHandler.launch(LaunchServiceHandler.java:71)
        at MC-BOOTSTRAP/[email protected]/cpw.mods.modlauncher.Launcher.run(Launcher.java:106)
        at MC-BOOTSTRAP/[email protected]/cpw.mods.modlauncher.Launcher.main(Launcher.java:77)
        at MC-BOOTSTRAP/[email protected]/cpw.mods.modlauncher.BootstrapLaunchConsumer.accept(BootstrapLaunchConsumer.java:26)
        at MC-BOOTSTRAP/[email protected]/cpw.mods.modlauncher.BootstrapLaunchConsumer.accept(BootstrapLaunchConsumer.java:23)
        at [email protected]/cpw.mods.bootstraplauncher.BootstrapLauncher.main(BootstrapLauncher.java:141)
Caused by: java.lang.reflect.InvocationTargetException
        at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:119)
        at java.base/java.lang.reflect.Method.invoke(Method.java:578)
        at MC-BOOTSTRAP/[email protected]/net.minecraftforge.fml.loading.targets.CommonServerLaunchHandler.lambda$launchService$0(CommonServerLaunchHandler.java:29)
        at MC-BOOTSTRAP/[email protected]/cpw.mods.modlauncher.LaunchServiceHandlerDecorator.launch(LaunchServiceHandlerDecorator.java:30)
        ... 7 more
Caused by: org.spongepowered.asm.mixin.transformer.throwables.MixinTransformerError: An unexpected critical error was encountered
        at MC-BOOTSTRAP/org.spongepowered.mixin/org.spongepowered.asm.mixin.transformer.MixinProcessor.applyMixins(MixinProcessor.java:392)
        at MC-BOOTSTRAP/org.spongepowered.mixin/org.spongepowered.asm.mixin.transformer.MixinTransformer.transformClass(MixinTransformer.java:250)
        at MC-BOOTSTRAP/org.spongepowered.mixin/org.spongepowered.asm.service.modlauncher.MixinTransformationHandler.processClass(MixinTransformationHandler.java:131)
        at MC-BOOTSTRAP/org.spongepowered.mixin/org.spongepowered.asm.launch.MixinLaunchPluginLegacy.processClass(MixinLaunchPluginLegacy.java:131)
        at MC-BOOTSTRAP/[email protected]/cpw.mods.modlauncher.serviceapi.ILaunchPluginService.processClassWithFlags(ILaunchPluginService.java:156)
        at MC-BOOTSTRAP/[email protected]/cpw.mods.modlauncher.LaunchPluginHandler.offerClassNodeToPlugins(LaunchPluginHandler.java:88)
        at MC-BOOTSTRAP/[email protected]/cpw.mods.modlauncher.ClassTransformer.transform(ClassTransformer.java:120)
        at MC-BOOTSTRAP/[email protected]/cpw.mods.modlauncher.TransformingClassLoader.maybeTransformClassBytes(TransformingClassLoader.java:50)
        at cpw.mods.securejarhandler/cpw.mods.cl.ModuleClassLoader.readerToClass(ModuleClassLoader.java:113)
        at cpw.mods.securejarhandler/cpw.mods.cl.ModuleClassLoader.lambda$findClass$15(ModuleClassLoader.java:219)
        at cpw.mods.securejarhandler/cpw.mods.cl.ModuleClassLoader.loadFromModule(ModuleClassLoader.java:229)
        at cpw.mods.securejarhandler/cpw.mods.cl.ModuleClassLoader.findClass(ModuleClassLoader.java:219)
        at cpw.mods.securejarhandler/cpw.mods.cl.ModuleClassLoader.loadClass(ModuleClassLoader.java:135)
        at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:521)
        at TRANSFORMER/[email protected]/net.minecraft.server.Main.main(Main.java:121)
        at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
        ... 10 more
Caused by: org.spongepowered.asm.mixin.injection.throwables.InjectionError: Critical injection failure: Callback method onLoad(Lorg/spongepowered/asm/mixin/injection/callback/CallbackInfo;)V in t_and_t.mixins.json:LoadConfig failed injection check, (0/1) succeeded. Scanned 1 target(s). Using refmap t_and_t.refmap.json
        at MC-BOOTSTRAP/org.spongepowered.mixin/org.spongepowered.asm.mixin.injection.struct.InjectionInfo.postInject(InjectionInfo.java:468)
        at MC-BOOTSTRAP/org.spongepowered.mixin/org.spongepowered.asm.mixin.transformer.MixinTargetContext.applyInjections(MixinTargetContext.java:1362)
        at MC-BOOTSTRAP/org.spongepowered.mixin/org.spongepowered.asm.mixin.transformer.MixinApplicatorStandard.applyInjections(MixinApplicatorStandard.java:1051)
        at MC-BOOTSTRAP/org.spongepowered.mixin/org.spongepowered.asm.mixin.transformer.MixinApplicatorStandard.applyMixin(MixinApplicatorStandard.java:400)
        at MC-BOOTSTRAP/org.spongepowered.mixin/org.spongepowered.asm.mixin.transformer.MixinApplicatorStandard.apply(MixinApplicatorStandard.java:325)
        at MC-BOOTSTRAP/org.spongepowered.mixin/org.spongepowered.asm.mixin.transformer.TargetClassContext.apply(TargetClassContext.java:383)
        at MC-BOOTSTRAP/org.spongepowered.mixin/org.spongepowered.asm.mixin.transformer.TargetClassContext.applyMixins(TargetClassContext.java:365)
        at MC-BOOTSTRAP/org.spongepowered.mixin/org.spongepowered.asm.mixin.transformer.MixinProcessor.applyMixins(MixinProcessor.java:363)
        ... 25 more
container@pterodactyl~ Server marked as offline...
[Pterodactyl Daemon]: ---------- Detected server process in a crashed state! ----------
[Pterodactyl Daemon]: Exit code: 1
[Pterodactyl Daemon]: Out of memory: false
[Pterodactyl Daemon]: Aborting automatic restart, last crash occurred less than 60 seconds ago.

 

 

I double-checked all the mods and they all is for 1.19.2. Can you guys help me plssssss

Link to comment
Share on other sites

Quote

[22:06:50] [main/ERROR] [ne.mi.fm.lo.LanguageLoadingProvider/LOADING]: Missing language javafml version [41,44) wanted by CNB-1.19-1.5.2.jar, found 45

[22:06:50] [main/ERROR] [ne.mi.fm.lo.LanguageLoadingProvider/LOADING]: Missing language javafml version [41,44) wanted by ironchest-1.19.2-14.2.7.jar, found 45
[22:06:50] [main/ERROR] [ne.mi.fm.lo.ModSorter/LOADING]: Missing or unsupported mandatory dependencies:
        Mod ID: 'minecraft', Requested by: 'supermartijn642corelib', Expected range: '[1.19,1.19.3)', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'queen_bee', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'puzzleslib', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'create_confectionery', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'fallingtree', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'stalwart_dungeons', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'connectedglass', Expected range: '[1.19,1.19.3)', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'unusualend', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'wandering_bags', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'pickupnotifier', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'collective', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'shark_mod', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'quartz', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'corpse', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'kotlinforforge', Expected range: '[1.18,1.19.3)', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'iceberg', Expected range: '[1.19,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'phosphophyllite', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'blueprint', Expected range: '[1.19.2,1.19.3)', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'pyromancer', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'biggerreactors', Expected range: '[1.19.2,1.19.2]', Actual version: '1.19.4'
        Mod ID: 'minecraft', Requested by: 'legendarytooltips', Expected range: '[1.19,1.19.2]', Actual version: '1.19.4'

You have a whole bunch of mods installed that are not mods for minecraft 1.19.4

You also don't want broken client side only mods like rubidium or legendarytooltips on the server.

 

Also, please don't post logs in the forum. Use a file sharing site. Read the FAQ.

Boilerplate:

If you don't post your logs/debug.log we can't help you. For curseforge you need to enable the forge debug.log in its minecraft settings. You should also post your crash report if you have one.

If there is no error in the log file and you don't have a crash report then post the launcher_log.txt from the minecraft folder. Again for curseforge this will be in your curseforge/minecraft/Install

Large files should be posted to a file sharing site like https://gist.github.com  You should also read the support forum sticky post.

Link to comment
Share on other sites

Just now, warjort said:

You have a whole bunch of mods installed that are not mods for minecraft 1.19.4

You also don't want broken client side only mods like rubidium or legendarytooltips on the server.

 

Also, please don't post logs in the forum. Use a file sharing site. Read the FAQ.

But how does it work then i play it singleplayer? 

Link to comment
Share on other sites

Quote

I double-checked all the mods and they all is for 1.19.2. Can you guys help me plssssss

So your client (singleplayer) is 1.19.2? But that server is 1.19.4

Quote

at TRANSFORMER/[email protected]/net.minecraft.server.Main.main(Main.java:121)

 

Boilerplate:

If you don't post your logs/debug.log we can't help you. For curseforge you need to enable the forge debug.log in its minecraft settings. You should also post your crash report if you have one.

If there is no error in the log file and you don't have a crash report then post the launcher_log.txt from the minecraft folder. Again for curseforge this will be in your curseforge/minecraft/Install

Large files should be posted to a file sharing site like https://gist.github.com  You should also read the support forum sticky post.

Link to comment
Share on other sites

3 hours ago, warjort said:

So your client (singleplayer) is 1.19.2? But that server is 1.19.4

 

Now i have a better problem. Thx for your answer, i installed right forge and now i have this problem net.minecraftforge.fml.ModLoadingException: Mod §eftblibrary§r requires §6forge§r §o43.2.6 or above§r §7Currently, §6forge§r§7 is §o43.2.0
From my view, i install a right version of forge(forge-1.19.2-43.2.21-installer), but it still saying that i have 43.2.0. What do i do?

 

 

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Announcements



×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.